/* tslint:disable */
/* eslint-disable */
/**
 * e-commerce-service
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.74
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { CalculatedCampaignResponseDto } from './calculated-campaign-response-dto';
// May contain unused imports in some cases
// @ts-ignore
import { CategoryDto } from './category-dto';

/**
 * 
 * @export
 * @interface CatalogDetailResponseDto
 */
export interface CatalogDetailResponseDto {
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'description': string;
    /**
     * 
     * @type {number}
     * @memberof CatalogDetailResponseDto
     */
    'availableStock': number;
    /**
     * 
     * @type {Array<CategoryDto>}
     * @memberof CatalogDetailResponseDto
     */
    'categories': Array<CategoryDto>;
    /**
     * 
     * @type {object}
     * @memberof CatalogDetailResponseDto
     */
    'eVoucherTag': object;
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'productType': CatalogDetailResponseDtoProductTypeEnum;
    /**
     * 
     * @type {object}
     * @memberof CatalogDetailResponseDto
     */
    'redemptionInstruction': object;
    /**
     * 
     * @type {object}
     * @memberof CatalogDetailResponseDto
     */
    'termAndCondition': object;
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'id': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'currency': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'name': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'mainImage': string;
    /**
     * 
     * @type {Array<string>}
     * @memberof CatalogDetailResponseDto
     */
    'otherImages': Array<string>;
    /**
     * 
     * @type {number}
     * @memberof CatalogDetailResponseDto
     */
    'basePrice': number;
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'organizationId': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'organizationName': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogDetailResponseDto
     */
    'organizationStatus': CatalogDetailResponseDtoOrganizationStatusEnum;
    /**
     * 
     * @type {Array<CalculatedCampaignResponseDto>}
     * @memberof CatalogDetailResponseDto
     */
    'calculatedCampaigns': Array<CalculatedCampaignResponseDto>;
}

export const CatalogDetailResponseDtoProductTypeEnum = {
    Main: 'main',
    Addons: 'addons',
    ECommerce: 'e_commerce',
    Program: 'program',
    EVoucher: 'e_voucher'
} as const;

export type CatalogDetailResponseDtoProductTypeEnum = typeof CatalogDetailResponseDtoProductTypeEnum[keyof typeof CatalogDetailResponseDtoProductTypeEnum];
export const CatalogDetailResponseDtoOrganizationStatusEnum = {
    Verified: 'verified',
    Unverified: 'unverified'
} as const;

export type CatalogDetailResponseDtoOrganizationStatusEnum = typeof CatalogDetailResponseDtoOrganizationStatusEnum[keyof typeof CatalogDetailResponseDtoOrganizationStatusEnum];


